%define upstream_name    Gtk2-GLExt
%define upstream_version 0.90

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:	Perl module for the GtkGLExt library
License:	GPLv2+
Group:		Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	http://downloads.sourceforge.net/sourceforge/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		perl-Gtk2-GLExt-0.90-build.patch

BuildRequires:	gtkglext-devel >= 1
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-Gtk2
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl-devel


Conflicts:	drakxtools < 9.1-15mdk
Requires:	perl-Gtk2

%description
This package adds perl support for GtkGLExt, an OpenGL extension to
GTK+ 2.0 or later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0 -b .build
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%doc examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.900.0-14.mga6
+ Revision: 1028046
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.900.0-13.mga6
+ Revision: 957414
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.900.0-12.mga6
+ Revision: 843365
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.900.0-11.mga5
+ Revision: 749356
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.900.0-10.mga5
+ Revision: 684904
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.900.0-9.mga5
+ Revision: 632444
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.900.0-8.mga4
+ Revision: 524806
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.900.0-7.mga4
+ Revision: 431535
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 0.900.0-6.mga3
+ Revision: 389356
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.900.0-5.mga3
+ Revision: 367875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.900.0-4.mga3
+ Revision: 250718
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.900.0-3.mga2
+ Revision: 135821
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.900.0-2.mga2
+ Revision: 104450
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 36306
- mageia rebuild
- imported package perl-Gtk2-GLExt

